Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
You can connect Make MCP server to clients using a connection URL with an MCP token, a unique API token that you create in Make.
To obtain an MCP token:
In the top-right corner of your Make account, click your name.
Click Profile.
Navigate to the API access tab.
In Tokens, click Add token, which opens a dialog.
Select your desired scopes, including the mcp:use scope if you want to make your scenarios available as tools.
In Label, name your API token.
Click Add.
You've now obtained an MCP token for your client. Include this token in the connection URL.
To complete the connection, refer to the Usage page of your MCP client. For example, .
To control which scenarios are available as tools through your MCP token, see .
An MCP token is a secret key. Treat it as sensitive information and share it only with trusted parties.

Make MCP server allows AI systems, such as large language models (LLMs), to run scenarios and manage your Make account. Model Context Protocol (MCP) is a communication standard between AI and external systems that enables safe interactions by defining endpoints and providing authentication.
AI systems like Claude and ChatGPT act as MCP clients of Make MCP server. The server gives them access to MCP tools that:
Run active and on-demand scenarios.
View and modify scenarios and their related entities, such as connections, webhooks, and data stores.
View and modify teams and organizations.
Scopes determine the . Scenario run tools are available to all plans, and management tools are available to paid plans. You select scopes when you .
Make Skills are Markdown files with instructions on building scenarios, configuring modules, and connecting to Make MCP server or third-party services.
You can install them in MCP clients to connect to Make MCP server without setting up the connection manually and help clients reliably perform Make-specific tasks.
For installation instructions, see .
Make MCP server is a Make-hosted, cloud-based server that runs via stateless Streamable HTTP.
Connect it to MCP clients using OAuth or an MCP token. Alternatively, install Make Skills, which include connection details for Make MCP server.
Use the following connection URL:
For more information, see .
The URL you use depends on whether your client supports adding the MCP token in Authorization headers.
MCP token in URL
Use the following connection URL, and replace <MAKE_ZONE> and <MCP_TOKEN> with actual values:
MAKE_ZONE: The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN: Your MCP token. To obtain one, see .
Optionally, append the following query parameter to the URL to set the tool name length:
?maxToolNameLength=<length>: Generated tool names have a maximum length of 56 characters by default, to be compatible with most AI systems. Use this parameter to set a different maximum length. The allowed range is 32 to 160 characters.
MCP token in header
If you add the MCP token in an Authorization header, use the following URL:
Specify the MCP token in the Authorization header:
MCP tools are functions on Make MCP server that MCP clients call to interact with Make, such as running scenarios or updating data stores.
You can view the tools on Make MCP server in a few ways:
Tool calls from MCP clients to Make MCP server have a timeout for returning output. Limits depend on the tool type and connection method.
Scenario run tools
https://mcp.make.com (OAuth): 25 seconds
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN> (MCP token): 40 seconds
Management tools
https://mcp.make.com (OAuth): 30 seconds
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN> (MCP token): 60 seconds
Retrieve outputs after timeout
If a scenario run tool call times out, the scenario continues running in Make for up to 40 minutes. The timeout response includes an executionId that an MCP client can use to get the output after the scenario finishes.
Example response:
Select the scenarios:read scope to allow an MCP client to retrieve outputs after a timeout once a scenario run finishes.
When an MCP client uses a scenario as a tool, it refers to the scenario's to know what data to send and what it gets back:
Inputs are parameters that an MCP client fills with data when the scenario runs.
Outputs are data the scenario returns to the MCP client.
https://mcp.make.comhttps://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>https://<MAKE_ZONE>/mcpAuthorization: Bearer <MCP_TOKEN>MCP client settings
In your MCP client's connector settings, select Make MCP server.
Tool names, and in some clients, descriptions and categories
MCP client command
In your MCP client, run its MCP command, for example /mcp in Claude Code, then select Make MCP server and a tool.
{
instruction: 'The Tool execution has started, but did not complete yet. Use a corresponding Tool for getting Execution Results to check for the result asynchronously.',
executionId: '4eb841b3fe3d48a5b2b59e2eed3f55be',
scenarioId: 1,
},Tool names, descriptions, and schemas
MCP Inspector
In a terminal, run npx @modelcontextprotocol/inspector --cli https://<MAKE_ZONE>/mcp --transport http --header "Authorization: Bearer <MCP_TOKEN>".
Tool names, descriptions, and schemas
tools/list request
In your app or agent's code, send a tools/list request to Make MCP server, or use an SDK method, such as list_tools() (Python) or listTools() (TypeScript).
Tool names, descriptions, and schemas
Prompt in AI assistant
In your MCP client's chat, ask something like "What tools do you have from Make MCP server?"
Tool names and descriptions
This guide outlines how to connect Make MCP server to Kiro using OAuth.
To connect Make MCP server to Kiro:
In Kiro, click the ghost icon on the left sidebar.
Hover over the MCP servers section and click the Open MCP Config icon.
In the mcp.json configuration, add the following:
Enter Ctrl + S (Windows) or Cmd + S (Mac) to save. The OAuth consent screen opens in a new browser window.
In the consent screen, select your organization and scopes, then click Allow.
Go back to the MCP servers
You've now connected Make MCP server to Kiro.
{
"mcpServers": {
"make": {
"command": "npx",
"args": [
"-y",
"mcp-remote",
"https://mcp.make.com"
]
}
}
}If you experience connection issues, use an instead.


This guide outlines how to connect Make MCP server to Cursor using OAuth.
Cursor account (Desktop version)
To connect Make MCP server to Cursor:
Open your Cursor account.
In the top-right corner, click the gear icon to open the Cursor Settings dialog.
In the left sidebar, click Tools & Integrations (or Tools, if you're on the Free Plan).
Under MCP Tools, click Add Custom MCP to open the editor for the mcp.json file.
In the editor, add the configuration, using the following URL:
Configuration example:
In MCP Tools, you'll see Make added as an MCP tool. Click Needs login.
In the dialog, click Open, which opens an OAuth consent screen.
In the Organization dropdown, select the organization that can access the server.
Select its granted scopes.
Click Allow, then Open Cursor.
You've now connected Make MCP server to Cursor.
Click Open to allow the extension to open the URI.
https://mcp.make.com{
"mcpServers": {
"make": {
"url": "https://mcp.make.com"
}
}
}If you experience connection issues, use an instead.


This guide outlines how to connect Make MCP server to Claude Code using OAuth.
Claude Code account
To connect Make MCP server to Claude Code:
In your terminal, open a new tab.
Run the following command:
Run the command Claude.
Run /mcp to connect to available MCP servers.
In the OAuth consent screen in the new browser window, select your organization and scopes.
You've now connected Make MCP server to Claude Code.
claude mcp add --transport http make https://mcp.make.comIf you experience connection issues, use an instead.
This guide outlines how to connect Make MCP server to OpenAI using an MCP token.
OpenAI Platform account
To connect Make MCP server to OpenAI:
In OpenAI's Playground, sign in to your OpenAI account.
Navigate to Prompts.
In Tools, click the + button.
Select MCP Server.
In the dialog, click Add new to display the form below.
In URL, add the following URL:
Replace <MAKE_ZONE> with your actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
In Label, name your Make MCP server.
In Authentication, select Access token / API key.
Add your MCP token to the field that requires an access token.
Click Connect.
You've now connected Make MCP server to OpenAI.
https://<MAKE_ZONE>/mcp
By default, the mcp:use scope of your MCP token allows AI systems to access all active and on-demand scenarios across all of your Make organizations.
To restrict access, add query parameters to the connection URL according to these levels:
Organization
Team
Scenario
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>?organizationId=<id>
AI has access to all scenarios in the specified organization.
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>?teamId=<id>
AI has access to all scenarios in the specified team.
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>?scenarioId=<id>
AI has access to the specified scenario.
This guide outlines how to connect Make MCP server to Cursor using an MCP token.
Cursor account (Desktop version)
To connect Make MCP server to Cursor:
Open your Cursor account.
In the top right, click the gear icon to open the Cursor Settings dialog.
In the left sidebar, click Tools & Integrations (or Tools, if you're on the Free Plan).
Under MCP Tools, click Add Custom MCP to open the editor for the mcp.json file.
In the editor, add the configuration.
Use the following URL:
Configuration example:
Replace <MAKE_ZONE> and <MCP_TOKEN> with actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN : Your MCP token.
You've now connected Make MCP server to Cursor.
The following information applies to scenario tools only and excludes management tools.
Optionally, specify multiple values for any of the URLs using the following syntax:
?scenarioId[]=<id1>&scenarioId[]=<id2>
You can't combine multiple levels, as levels are mutually exclusive.
https://<MAKE_ZONE>/mcp{
"mcpServers": {
"make": {
"url": "https://<MAKE_ZONE>/mcp",
"headers": {
"Authorization": "Bearer ${env:MCP_TOKEN}"
}
}
}This guide outlines how to connect Make MCP server to Warp using OAuth.
To connect Make MCP server to Warp:
In Warp Drive, go to MCP Servers under Personal.
Click Add.
Enter the following configuration:
Click Save and wait for Make MCP server to connect.
In the OAuth consent screen, select your organization and scopes, then click Allow.
You've now connected Make MCP server to Warp.
This guide outlines how to connect Make MCP server to Gemini CLI using OAuth.
To connect Make MCP server to Gemini CLI:
In your terminal, run the following command:
gemini mcp add make --scope user --transport http https://mcp.make.comIf you experience connection issues, use an instead.
Run the Gemini command to start Gemini.
Run /mcp list to check if Make is among your configured MCP servers.
Run /mcp auth make to initiate authentication.
You've now connected Make MCP server to Gemini CLI.
This guide outlines how to connect Make MCP server to ChatGPT using OAuth.
account
To connect Make MCP server to ChatGPT:
Open the web version of ChatGPT.
Click on your profile name on the left sidebar.
If you experience connection issues, use an MCP token URL instead.
{
"make": {
"url": "https://mcp.make.com"
}
}Click Settings.
Go to Plugins and click Developer mode.
Toggle on Developer mode.
Go back to Plugins and click Browse plugins.
Click the plus sign next to Search plugins in the top-right corner.
In the dialog, name your MCP server.
In Connection, enter the following URL:
In Authentication, select OAuth.
Agree to continue.
Click Create.
Click the sign-in button.
In the OAuth consent screen, select your organization and its scopes.
Click Allow.
You've now connected Make MCP server to ChatGPT.
https://mcp.make.comIf you experience connection issues, use an instead.
This guide outlines how to connect Make MCP server with ChatGPT using an MCP token.
ChatGPT account (paid subscription)
To connect Make MCP server to ChatGPT:
Open the web version of ChatGPT.
Click on your profile name on the left sidebar.
Click Settings.
Go to Plugins and click Developer mode.
Toggle on Developer mode.
Go back to Plugins and click Browse plugins.
In the top-right corner, click the plus sign next to Search plugins.
In the dialog, name your MCP server.
In Connection, enter the following URL:
Replace <MAKE_ZONE> and <MCP_TOKEN> with your actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN : Your MCP token.
In Authentication, select No Auth.
Agree to continue.
Click Create.
In the dialog, click Connect.
You've now connected Make MCP server to ChatGPT.
This guide outlines how to connect Make MCP server to Vapi.
account
To connect Make MCP server to Vapi:
Open your Vapi account.
This guide outlines how to connect Make MCP server to Claude using OAuth.
account
Make is a built-in connector on Claude. To connect Make MCP server to Claude:
Open your Claude account.
Go to Customize on the left sidebar.
Click Connectors.
Click Discover.
Search for Make and click the + sign.
In the OAuth consent screen, select an organization in Organization and its scopes.
Click Allow to proceed.
You've now connected Make MCP server to Claude.
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>Navigate to Tools on the left sidebar.
Click the Create Tool button, then select MCP.
Configure the tool name and describe when to use the tool.
In Server URL, add the following URL:
Replace <MAKE_ZONE> and <MCP_TOKEN> with your actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN : Your MCP token.
In Timeout, enter an appropriate timeout for your use case.
In MCP Settings, select Streamable HTTP.
Click Save.
You've now connected Make MCP server to Vapi.
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>MCP tool calls from Vapi Assistants may exceed Make API rate limits and result in errors. To check the Make API rate limit defined in your plan, see .
This guide outlines how to connect Make MCP server to the OpenAI API.
OpenAI Platform account and API key
To connect Make MCP server to the OpenAI API:
Use the following configuration:
Replace <MAKE_ZONE> and <MCP_TOKEN> with actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN: Your MCP token.
You've now connected Make MCP server to the OpenAI API.
curl https://api.openai.com/v1/responses \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{
"model": "gpt-4.1",
"input": "List all available tools.",
"tools": [
{
"type": "mcp",
"server_label": "make",
"server_url": "https://<MAKE_ZONE>/mcp",
"headers": {
"Authorization": "Bearer <MCP_TOKEN>"
}
}
]
}'This guide outlines how to connect Make MCP server to Windsurf using OAuth.
Windsurf account
To connect Make MCP server to Windsurf:
In Windsurf, click the Settings icon in the top-right corner, and select Windsurf Settings.
In Cascade, click the Open MCP Marketplace link next to MCP Servers.
In Installed MCPs, click the Settings icon to open the mcp.config.json configuration file.
Add the following configuration:
Enter Ctrl + S (Windows) or Cmd + S (Mac) to save. The OAuth consent screen opens in a new browser window.
In the consent screen, select your organization and scopes, then click Allow.
Return to the Installed MCPs
You've now connected Make MCP server to Windsurf.
{
"mcpServers": {
"make": {
"command": "npx",
"args": [
"-y",
"mcp-remote",
"https://mcp.make.com"
]
}
}
}If you experience connection issues, use an instead.

This guide outlines how to connect Make MCP server to Mistral AI's Le Chat using OAuth.
Mistral AI account
To connect Make MCP server to Mistral AI:
Open Mistral AI and go to Le Chat.
Click Intelligence in the left sidebar and select Connectors.
Click Add Connector on the right side.
Go to the Custom MCP Connector tab.
In Connector Name, name your MCP server to identify it later, for example, "Make."
In Connector Server, enter the following URL:
In Authentication Method, select OAuth2.1 from the dropdown.
Click Connect.
In the OAuth consent screen, select the organization in Organization and its scopes.
Click Allow to proceed.
You've now connected Make MCP server to Mistral AI.
https://mcp.make.comIf you experience connection issues, use an instead.
You can connect Make MCP server to clients using OAuth. This method uses a universal URL that doesn't require an MCP token.
To connect Make MCP server using OAuth, use the following URL:
When you connect Make MCP server with an MCP client, you select the organization and scopes in the OAuth consent screen. Scopes determine the tools available to the MCP client.
Consent screen example:
To complete the connection, refer to the Usage page of your MCP client. For example, .
https://mcp.make.comIf you experience connection issues, use an instead.
The Run your scenarios scope gives AI access to all on-demand and active scenarios in an organization. To further limit access, you can upgrade to a or higher to create user accounts assigned to specific teams.

This guide outlines how to connect Make MCP server to Claude Desktop using an MCP token.
Claude Desktop account
To connect Make MCP server to Claude Desktop:
Open your Claude Desktop account.
Click your profile name on the left sidebar, then Settings.
In Settings, navigate to Connectors.
Click Add custom connector.
In the URL field, add the following URL:
Replace <MAKE_ZONE> and <MCP_TOKEN> with your actual values.
MAKE_ZONE : The zone your organization is hosted in. For example, eu2.make.com.
MCP_TOKEN : Your MCP token.
Click Add.
You've now connected Make MCP server to Claude Desktop.
https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>